Skip to main content
GET
/
api
/
svc
/
v1
/
teams
/
{id}
Get Team
curl --request GET \
  --url https://{controlPlaneURL}/api/svc/v1/teams/{id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "<string>",
    "description": "<string>",
    "tenantName": "<string>",
    "accountId": "<string>",
    "createdBySubject": {
      "subjectId": "<string>",
      "subjectType": "user",
      "subjectSlug": "<string>",
      "subjectDisplayName": "<string>",
      "subjectPatName": "<string>",
      "subjectControllerName": "<string>",
      "subjectExternalIdentitySlug": "<string>"
    },
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "manifest": {
      "type": "team",
      "name": "<string>",
      "members": [
        "<string>"
      ],
      "displayName": "<string>",
      "description": "<string>",
      "managers": [
        "<string>"
      ],
      "ownedBy": {
        "account": "<string>"
      },
      "tags": {},
      "identity_provider_mapping": [
        {
          "identity_provider": "<string>",
          "value": "<string>"
        }
      ]
    },
    "isEditable": true,
    "members": [
      "<string>"
    ],
    "metadata": {
      "createdByScim": true
    },
    "roles": [
      "<string>"
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://www.truefoundry.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Team Id

Response

Returns the Team associated with provided team id

data
Team · object
required

Teams